using System;
using System.Runtime.InteropServices;

namespace Microsoft.RfidComWrapper
{
    /// <summary>
    /// An interface for the RFID Tag wrapper.
    /// </summary>
    [ComVisible(true)]
    [Guid("D9A73738-E77D-4c0b-BF40-EBC81E7B0D16"), InterfaceType(ComInterfaceType.InterfaceIsDual)]
    public interface IRfidTagWrapper
    {
        /// <summary>
        /// The Tag ID.
        /// </summary>
        string TagId
        {
            get;
        }

        /// <summary>
        /// The tag data.
        /// </summary>
        string TagData
        {
            get;
        }

        /// <summary>
        /// The name of the device that received a tag.
        /// </summary>
        string DeviceName
        {
            get;
        }

        /// <summary>
        /// The tag source.
        /// </summary>
        string Source
        {
            get;
        }

        /// <summary>
        /// The tag creation time.
        /// </summary>
        DateTime Time
        {
            get;
        }
    }
}
